<app-header [titre]="'CREATION'"></app-header>


<form class="bloc1" [formGroup]="signupForm" (ngSubmit)="onSubmit()">
  <div class="form-group">
    <div class="example-container mb-5">
      <div class="nom3">
        <div>Adresse Mail</div>
        <mat-form-field>
          <input matInput type="text" name="email" id="email" class="form-control text-center" formControlName="email">
        </mat-form-field>
      </div>
    </div>
    <div class="example-container">
      <div class="nom4">
        <div>Mot de Passe</div>
        <mat-form-field>
          <input matInput type="password" name="password" id="password" class="form-control" formControlName="password">
        </mat-form-field>
      </div>
    </div>
  </div>
  <p class="text-danger">{{ errorMessage }}</p>
  <button class="btn btn-primary pt-2 mb-1" type="submit" [disabled]="signupForm.invalid">
    <div class="text"> <i class="fas fa-check-circle"></i>&nbsp; VALIDATION</div>
  </button>
  <button class="btn btn-primary pt-2 mb-5" [routerLink]="['/accueil']">
    <div class="text"><i class="fas fa-arrow-left"></i>&nbsp; &nbsp;RETOUR</div>
  </button>
</form>